DELETE /api/data_views/data_view/{viewId}/runtime_field/{fieldName}

Spaces method and path for this operation:

delete /s/{space_id}/api/data_views/data_view/{viewId}/runtime_field/{fieldName}

Refer to Spaces for more information.

Delete a runtime field from a data view.

Path parameters

  • fieldName string Required

    The name of the runtime field.

  • viewId string Required

    An identifier for the data view.

Responses

  • 200

    Indicates a successful call.

  • 404 application/json

    Object is not found.

    Hide response attributes Show response attributes object
    • error string

      Value is Not Found.

    • message string
    • statusCode integer

      Value is 404.

DELETE /api/data_views/data_view/{viewId}/runtime_field/{fieldName}
curl \
  -X DELETE "${KIBANA_URL}/api/data_views/data_view/${DATA_VIEW_ID}/runtime_field/${FIELD_NAME}" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
DELETE kbn://api/data_views/data_view/{viewId}/runtime_field/{fieldName}